//
//  AppDelegate.swift
//  MuxDemo
//
//

import CastlabsApple
import CastlabsMux
import PRESTOplay
import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?
    )
        -> Bool
    {
        // Override point for customization after application launch.
        // swiftlint: disable line_length

        let muxSettings = MuxSettings(environmentKey: "YOUR-ENV-KEY")

        _ = PRESTOplaySDK.shared.setup(
            "LICENSE",
            [
                HLSPlugin(),
                MuxPlugin(muxSettings),
            ])
        // swiftlint: enable line_length
        return true
    }
}
